javax.persistence.metamodel

## Annotation Type StaticMetamodel

    @Target(value=TYPE)
     @Retention(value=RUNTIME)
    public @interface StaticMetamodel

The `StaticMetamodel` annotation specifies that the class is a metamodel class that represents the entity, mapped superclass, or embeddable class designated by the value element.

Since:
  Java Persistence 2.0

### Required Element Summary

Required Elements
`java.lang.Class<?>` `value` Class being modelled by the annotated class.

### Element Detail

#### value

    public abstract java.lang.Class<?> value

Class being modelled by the annotated class.